# Merchant_Rate_Sheet_Make_Changes

Endpoint: PATCH /api/v1/sponsor/merchants/rate-sheets/
Version: 1.0.0 (sponsor_merchant_v1)
Security: basicAuth

## Security:

  - `basicAuth` (unknown)
    http basic

## Request fields (application/json):

  - `request_user_id` (string)
    External Partner user ID of an existing user set up at Momnt who is initiating the change to the rate sheet. This user must be an active merchant admin user for the merchant the update is being requested for.

  - `rate_sheet_merchant_product_price_ids` (array)
    An array of products that should be updated and the is_active value they should be updated to. See subsequent fields.

  - `rate_sheet_merchant_product_price_ids.rate_sheet_merchant_product_price_id` (integer, required)

  - `rate_sheet_merchant_product_price_ids.is_active` (boolean)

  - `rate_sheet_merchant_product_price_ids.merchant_selected` (boolean)

  - `external_org_id` (string)
    Should be provided when merchant is part of a multi-location hierarchy.

## Response 200 fields (application/json):

  - `request_user_id` (string, required)
    External Partner user ID of an existing user set up at Momnt who is initiating the change to the rate sheet. This user must be an active merchant admin user for the merchant the update is being requested for.

  - `rate_sheet_merchant_product_price_ids` (array, required)
    An array of products that should be updated and the is_active value they should be updated to. See subsequent fields.

  - `rate_sheet_merchant_product_price_ids.rate_sheet_merchant_product_price_id` (integer, required)

  - `rate_sheet_merchant_product_price_ids.is_active` (boolean)

  - `rate_sheet_merchant_product_price_ids.merchant_selected` (boolean)

  - `external_org_id` (string)
    Should be provided when merchant is part of a multi-location hierarchy.

